/*
 * LocationVariable.java
 * Copyright (C) 2007 Lars Frantzen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 *
 * Created on 2. Januar 2007, 16:04
 *
 */

package info.frantzen.testing.ssmsimulator.ssm;

import info.frantzen.testing.ssmsimulator.types.Type;
import info.frantzen.testing.ssmsimulator.types.TypeInstance;

/**
 * A location variable is a global Variable of the SSM.
 * @author Lars Frantzen
 * @version 0.1
 */
public class LocationVariable extends Variable {
    
    /**
     * Creates a new instance of LocationVariable
     * @param name the name of the variable
     * @param type the type of the variable
     * @param value the initial type instance
     */
    public LocationVariable(String name, Type type, TypeInstance value) {
        super(name,type,value);
    }
    
}
